"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCalendarContext = exports.default = void 0;
var _react = require("react");
var _enums = require("./enums");
const CalendarContext = /*#__PURE__*/(0, _react.createContext)({
  calendarView: _enums.CalendarViews.day,
  selectedDate: new Date(),
  currentDate: new Date(),
  currentYear: new Date().getFullYear(),
  mode: 'datetime',
  locale: 'en',
  minimumDate: null,
  maximumDate: null,
  displayFullDays: false,
  setCalendarView: () => {},
  onSelectDate: () => {},
  onSelectMonth: () => {},
  onSelectYear: () => {},
  onChangeMonth: () => {},
  onChangeYear: () => {}
});
const useCalendarContext = () => (0, _react.useContext)(CalendarContext);
exports.useCalendarContext = useCalendarContext;
var _default = exports.default = CalendarContext;
//# sourceMappingURL=CalendarContext.js.map