"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _enums = require("../enums");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Day = ({
  day,
  theme,
  isToday,
  selected,
  onSelectDate
}) => {
  const dayContainerStyle = day && day.isCurrentMonth ? theme === null || theme === void 0 ? void 0 : theme.dayContainerStyle : {
    opacity: 0.3
  };
  const todayItemStyle = isToday ? {
    borderWidth: 2,
    borderColor: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF',
    ...(theme === null || theme === void 0 ? void 0 : theme.todayContainerStyle)
  } : null;
  const activeItemStyle = selected ? {
    borderColor: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF',
    backgroundColor: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF'
  } : null;
  const textStyle = selected ? {
    color: '#fff',
    ...(theme === null || theme === void 0 ? void 0 : theme.selectedTextStyle)
  } : isToday ? {
    ...(theme === null || theme === void 0 ? void 0 : theme.calendarTextStyle),
    color: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF',
    ...(theme === null || theme === void 0 ? void 0 : theme.todayTextStyle)
  } : theme === null || theme === void 0 ? void 0 : theme.calendarTextStyle;
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.dayCell
  }, day ? /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    disabled: day.disabled,
    onPress: () => onSelectDate(day.date),
    style: [styles.dayContainer, dayContainerStyle, todayItemStyle, activeItemStyle, day.disabled && styles.disabledDay],
    testID: day.date,
    accessibilityRole: "button",
    accessibilityLabel: day.date
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.dayTextContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: textStyle
  }, day.text))) : null);
};
const styles = _reactNative.StyleSheet.create({
  dayCell: {
    width: '14.2%',
    height: _enums.CALENDAR_HEIGHT / 7 - 1
  },
  dayContainer: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    margin: 1.5,
    borderRadius: 100
  },
  dayTextContainer: {
    justifyContent: 'center',
    alignItems: 'center'
  },
  disabledDay: {
    opacity: 0.3
  }
});
var _default = exports.default = /*#__PURE__*/_react.default.memo(Day);
//# sourceMappingURL=Day.js.map