import { createContext, useContext } from 'react';
import { CalendarViews } from './enums';
const CalendarContext = /*#__PURE__*/createContext({
  calendarView: CalendarViews.day,
  selectedDate: new Date(),
  currentDate: new Date(),
  currentYear: new Date().getFullYear(),
  mode: 'datetime',
  locale: 'en',
  minimumDate: null,
  maximumDate: null,
  displayFullDays: false,
  setCalendarView: () => {},
  onSelectDate: () => {},
  onSelectMonth: () => {},
  onSelectYear: () => {},
  onChangeMonth: () => {},
  onChangeYear: () => {}
});
export const useCalendarContext = () => useContext(CalendarContext);
export default CalendarContext;
//# sourceMappingURL=CalendarContext.js.map